Subject: Re: [PATCH v2] net: dsa: tag_mtk: add padding for tx packets

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 May 2022 14:26:06 -0700

On Tue, 10 May 2022 11:40:13 +0200 Felix Fietkau wrote:
> Padding for transmitted packets needs to account for the special tag.
> With not enough padding, garbage bytes are inserted by the switch at the
> end of small packets.
> 
> Fixes: 5cd8985a1909 ("net-next: dsa: add Mediatek tag RX/TX handler")
> Signed-off-by: Felix Fietkau <[email-masked]>

You should answer all questions and address or dispute all feedback.